function [T,Z] =  CMSR_Bin2Exp( n,f,t0 )
%CMSR_Bin2Exp Summary of this function goes here
%   Detailed explanation goes here
if f==0
    eta = n;
    Z = 0;
else
    s = n-f;
    c = log((n+1)/s)/log((n+2)/(s+1));
    eta = (3-c)/(2*(c-1)-0.335*(c-1)^3);
    Z = log((n+1)/s)/log((eta+1)/eta)-1;
end
T = eta*t0;
end


