function [n,f] = CMSR_DiffExpParal(T,Z,t0)
%CMSR_DiffExpSeries Summary of this function goes here
%   Detailed explanation goes here
L = length(T);
eta = T./t0;
A_t = 1-(eta./(eta+1)).^(Z+1);
A = 1-prod(A_t);
B_t2 = 1-2*(eta./(eta+1)).^(Z+1)+(eta./(eta+2)).^(Z+1);
B = 1-2*prod(A_t)+prod(B_t2);
n = (1-B/A)/(B/A-A);
f = n*(1-A);
end


