function [n,f] = CMSR_DiffExpSeries(T,Z,t0)
%CMSR_DiffExpSeries Summary of this function goes here
%   Detailed explanation goes here
L = length(T);
eta = T./t0;
[Z_temp,index] = sort(Z);
eta_temp = eta(index);
if max(Z)==0
    n = min(eta);
    f = 0;
else
    index_1 = find(Z_temp>0);
    H = index_1(1);
    if H==1
        n = (prod(exp(Z_temp./eta_temp))-1)/sum(Z_temp./(eta_temp.^2));
        f = n*(1-exp(-sum(Z_temp./eta_temp)));
    else
        eta1 = min(eta_temp(1:H-1));
        [eta2,index_eta2] = min(eta_temp(H:L));
        if eta1>=eta2
            n = (prod(exp(Z_temp./eta_temp))-1)/sum(Z_temp./(eta_temp.^2));
            f = n*(1-exp(-sum(Z_temp./eta_temp)));
        else
            Z_temp(H-1+index_eta2)=Z_temp(H-1+index_eta2)*eta1/eta2;
            eta_temp(H-1+index_eta2)=eta1;
            n = (prod(exp(Z_temp./eta_temp))-1)/sum(Z_temp./(eta_temp.^2));
            f = n*(1-exp(-sum(Z_temp./eta_temp)));
        end
    end
end

