function [n,f] = CMSR_SameExpNk(N,K,T,Z,t0,gama)
%CMSR_SameExpSeries Summary of this function goes here
%   Detailed explanation goes here
eta = T/t0;
if Z==0
    RL_0 = zeros(1,N-K+1);
    for X = K:N;
        RL_0(X-K+1) = nchoosek(N,X)*(1-gama)^(X/eta)*(1-(1-gama)^(1/eta))^(N-X);
    end
    RL = sum(RL_0);
    n = log(1-gama)/log(RL);
    f = 0;
else
    A0=zeros(1,N-K+1);
    for X = K:N;
        A0(X-K+1) = nchoosek(N,X)*exp(-Z*X/eta)*(1-exp(-Z/eta))^(N-X);
    end
    A = sum(A0);
    B = Z/eta^2*(K*nchoosek(N,K)*exp(-Z*K/eta)*(1-exp(-Z/eta))^(N-K))^2;
    n = A*(1-A)/B;
    f = n*(1-A);
end

