function [n,f] = CMSR_SameExpParal(L,T,Z,t0,gama)
%CMSR_SameExpSeries Summary of this function goes here
%   Detailed explanation goes here
eta = T/t0;
if Z==0
    RL = 1-(1-(1-gama)^(1/eta))^L;
    n = log(1-gama)/log(RL);
    f = 0;
else
    A = (1-exp(-Z/eta))^L;
    B = L^2*Z/eta^2*(exp(-Z/eta)/(1-exp(-Z/eta)))^2;
    n = (1-A)/A/B;
    f = n*A;
end
end

