function [n,f] = CMSR_DiffBinSeries(n1,f1)
%CMSR_DiffExpSeries Summary of this function goes here
%   Detailed explanation goes here
L = length(n1);
[f_temp,index] = sort(f1);
n_temp = n1(index);
S_temp = n_temp-f_temp;
if max(f1)==0
    n = min(n1);
    f = 0;
else
    index_1 = find(f_temp>0);
    H = index_1(1)-1;
    if H==0
        n = (prod(n_temp./S_temp)-1)/sum(f_temp./(S_temp.*n_temp));
        f = n*(1-prod(S_temp./n_temp));
    else
        S1 = min(S_temp(1:H));
        [S2,index_S2] = min(S_temp(H+1:L));
        if S1>=S2
            n = (prod(n_temp./S_temp)-1)/sum(f_temp./(S_temp.*n_temp));
            f = n*(1-prod(S_temp./n_temp));
        else
            n_temp(H+index_S2)=n_temp(H+index_S2)*S1/S2;
            S_temp(H+index_S2)=S1;
            n = (prod(n_temp./S_temp)-1)/sum((n_temp-S_temp)./(S_temp.*n_temp));
            f = n*(1-prod(S_temp./n_temp));
        end
    end
end


